/************************************************************************/
/* Headers for functions for manipulating lists of real numbers.	*/
/************************************************************************/
#ifndef _REAL_LIST_H
#define _REAL_LIST_H

#include <stdio.h>
#include <malloc.h>
#include "messages.h"
#include "boolean.h"

typedef struct REAL_LIST {
	double		 Val;
	struct REAL_LIST *Next;
} *Liste_Reel;

Liste_Reel Append_Real( Liste_Reel List, double x );
Liste_Reel Expand_Real_List( double x, int n );
Liste_Reel Concat_Real_Lists( Liste_Reel L1, Liste_Reel L2 );
void Free_Real_List( Liste_Reel List );

#endif /* _REAL_LIST_H */
