/* Implementation of core (max,+) operations.		*/

#include "maxpluscore.h"

double M_INFINITY = -1e38;

double max(double a, double b)
{
  if ( a > b ) 
    return a;
  else 
    return b;
}

double min(double a, double b)
{
  if ( a < b ) 
    return a;
  else 
    return b;
}

double plus(double a, double b)
{
  if ( ( a == M_INFINITY ) ||  ( b == M_INFINITY ) )
    return M_INFINITY;
  else 
    return a+b;
}

