#include <stdio.h>

int I_Binomial( int n, int p )
{
  int Res;
  int i;

  printf("B[%d,%d]=", n, p );
  Res = 1;
  for ( i = 1; i <= p; i++ ) {
    Res = ( Res * (n-i+1) ) / i;
    printf("...%d", Res );
  }

  printf("\n");

  return Res;
}

void Tree_Enum( int k, int k_max, int Cur_n, int n_max, int *m, int Cur_Idx ) 
{
  int	i;
  int	j;
  int	Idx;
  int	n;

  for ( i=0; i<=n_max-Cur_n; i++ ) {
    m[k] = i;
    n = Cur_n + i;
    Idx = Cur_Idx + I_Binomial( n+k-1, k );
    if ( k < k_max ) {
      Tree_Enum( k+1, k_max, n, n_max, m, Idx );
    } 
    else {
      for ( j=1; j<=k; j++ ) 
	printf("%d ", m[j] );
      printf("-> %d\n", Idx );
    }
  }
}

int main(int argc, char *argv[], char *argp[] )
{
  int	*m;
  int	K;
  int	N;

  if ( argc != 3 ) {
    printf("usage: tree K N\n");
    return -1;
  } 
  else {
    sscanf( argv[1], "%d", &K );
    sscanf( argv[2], "%d", &N );

    printf("Listing for K=%d, N=%d\n", K, N );

    m = (int*) calloc( (unsigned)(K+1), sizeof(int) );

    Tree_Enum( 1, K, 0, N, m, 0 );

    return 0;
  }
}
