/* un programme de parsing/impression simple de RdP			*/

#include "pn.h"

#define TOOLNAME	"pn_read"

extern int		yydebug;

extern PetriNet		*Read_Network( char *File_Name );
extern void		dumpe_network( PetriNet *Reseau );

int main(
int	argc,
char	*argv[] )
{
  static char		File_Name[128] = "";
  PetriNet 		*Reseau;
  int			i;
  boolean		Help = FALSE;
  boolean		Args_Ok = TRUE;

  i = 1;

  if (argc>1)
    do {

      if GET_STRING( "-f", File_Name )

      else if SWITCH( "-debug", Debug, TRUE )

      else if SWITCH( "-yydebug", yydebug, TRUE )

      else if IS_VERSION

      else if ( ( 0 == strcmp( "-h", argv[i] ) )
		|| ( 0 == strcmp( "-?", argv[i] ) ) ) {
	printf("Usage: %s [-f <file>] [-?] [-h] \n",argv[0]);
	Args_Ok = FALSE;
	Help = TRUE;
	i++;
      }
      else
	i++; /* skip unknown argument */
    }
    while ( Args_Ok && ( i < argc ) );


  if ( Args_Ok ) {

    Debug = TRUE;

    Reseau = Read_Network( File_Name );

    if ( Reseau != NULL ) {

      dumpe_network(Reseau);

      return 0;
    }
    else {
      fprintf( stderr, "%s: Error reading network.\n", 
	       TOOLNAME );
      return -1;
    }
  }
  else if (!Help)
    return -1;
  else
    return 0;
}

